var APIBase = require("../../api.base");
var system = require("../../../system");

class Notify extends APIBase {
  constructor() {
    super();
    this.patentanalysisSve = system.getObject("service.report.patentanalysisSve");
  }

  async reportFile(pobj, qobj, req) {
    try {
      await this.patentanalysisSve.reportFile(pobj);
      return system.getResultSuccess();
    } catch (e) {
      console.log(e.stack);
      return system.getResult(null, `接口异常[${e.stack}]`);
    } finally {
      console.log(`------------------ patent report file params:${pobj.id} ------------------`, pobj);
    }
  }

  exam() {
    return "";
  }

  classDesc() {
    return {
      groupName: "",
      groupDesc: "",
      name: "",
      desc: "",
      exam: "",
    };
  }

  methodDescs() {
    return [
      {
        methodDesc: "",
        methodName: "",
        paramdescs: [
          {
            paramDesc: "",
            paramName: "",
            paramType: "",
            defaultValue: "",
          }
        ],
        rtnTypeDesc: "",
        rtnType: ""
      }
    ];
  }
}

module.exports = Notify;